Subject: bug#33033: 27.0.50; [wishlist] Registers for non-file buffers

From: Helmut Eller <[email-masked]>
Date: Thu, 11 Jul 2019 18:15:12 +0200

On Thu, Jul 11 2019, Lars Ingebrigtsen wrote:

> Helmut Eller <[email-masked]> writes:
>
>> 1.) It would be nice if the register machinery could also be used for
>> switching to buffers that aren't connected to a file but have
>> more-or-less fixed names like *shell*, *Backtrace*, or *scratch*.
>>
>> E.g. (set-register ?s '(buffer "*scratch*")) could set up things so that
>> C-x r j s would switch to the *scratch* buffer.
>
> Can you use registers today to jump to buffers that are connected to
> files?  I'm wondering why you're singling out non-file buffers here...

Yes, I have (set-register ?e '(file . "~/.emacs")) in .emacs.

> But in general, it seems to me that these keystrokes aren't that much
> more efficient than just C-x b scr RET or something.
>
>> 2.) Similarly, it would be useful to have a way to switch to a buffer
>> based on the buffer's mode.
>>
>> E.g. (set-register ?l '(mode emacs-lisp)) could switch to the last
>> recently used buffer in emacs-lisp mode.
>
> Hm...  I don't quite see the utility here.

Well, you can close this bug.

Helmut